"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var modifyNodeIfMissingBrackets_exports = {};
__export(modifyNodeIfMissingBrackets_exports, {
  modifyNodeIfMissingBrackets: () => modifyNodeIfMissingBrackets
});
module.exports = __toCommonJS(modifyNodeIfMissingBrackets_exports);
function wrapInBlock(node) {
  return {
    body: [node],
    directives: [],
    type: "BlockStatement"
  };
}
const allowedBodyNodeTypes = /* @__PURE__ */ new Set(["BlockStatement", "EmptyStatement"]);
const allowedIfAlternateNodeTypes = /* @__PURE__ */ new Set(["BlockStatement", "IfStatement"]);
function modifyNodeIfMissingBrackets(node) {
  switch (node.type) {
    case "DoWhileStatement":
    case "ForStatement":
    case "ForInStatement":
    case "ForOfStatement":
    case "WhileStatement":
      if (!allowedBodyNodeTypes.has(node.body.type)) {
        node.body = wrapInBlock(node.body);
        return true;
      }
      break;
    case "IfStatement": {
      let modified;
      if (!allowedBodyNodeTypes.has(node.consequent.type)) {
        node.consequent = wrapInBlock(node.consequent);
        modified = true;
      }
      if (node.alternate && !allowedIfAlternateNodeTypes.has(node.alternate.type)) {
        node.alternate = wrapInBlock(node.alternate);
        modified = true;
      }
      return modified;
    }
  }
  return false;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  modifyNodeIfMissingBrackets
});
//# sourceMappingURL=modifyNodeIfMissingBrackets.js.map